Package org.eclipse.swt.events

## Interface ExpandListener

All Known Implementing Classes:
  `ExpandAdapter`

    public interface ExpandListener

Classes which implement this interface provide methods that deal with the expanding and collapsing of `ExpandItem`s.

After creating an instance of a class that implements this interface it can be added to a `ExpandBar` control using the `addExpandListener` method and removed using the `removeExpandListener` method. When a item of the `ExpandBar` is expanded or collapsed, the appropriate method will be invoked.

Since:
  1.2
See Also:
  `ExpandAdapter`, `ExpandEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `itemCollapsed​(ExpandEvent e)` Sent when an item is collapsed.
`void` `itemExpanded​(ExpandEvent e)` Sent when an item is expanded.

### Method Detail

#### itemCollapsed

    void itemCollapsed​(ExpandEvent e)

Sent when an item is collapsed.

Parameters:
  `e` - an event containing information about the operation

#### itemExpanded

    void itemExpanded​(ExpandEvent e)

Sent when an item is expanded.

Parameters:
  `e` - an event containing information about the operation